Skip to main content
`Ctrl`+`K`

# petsc4py.PETSc.SNESLineSearch.Type

class petsc4py.PETSc.SNESLineSearch.Type

  Bases: `object`

  SNES linesearch type.

  See also

  `SNESLineSearchType`

  Attributes Summary

  `BASIC` | Object `BASIC` of type `str`
  `BISECTION` | Object `BISECTION` of type `str`
  `BT` | Object `BT` of type `str`
  `CP` | Object `CP` of type `str`
  `NCGLINEAR` | Object `NCGLINEAR` of type `str`
  `NLEQERR` | Object `NLEQERR` of type `str`
  `NONE` | Object `NONE` of type `str`
  `SECANT` | Object `SECANT` of type `str`
  `SHELL` | Object `SHELL` of type `str`

  Attributes Documentation

  BASIC: str = BASIC

    Object `BASIC` of type `str`

  BISECTION: str = BISECTION

    Object `BISECTION` of type `str`

  BT: str = BT

    Object `BT` of type `str`

  CP: str = CP

    Object `CP` of type `str`

  NCGLINEAR: str = NCGLINEAR

    Object `NCGLINEAR` of type `str`

  NLEQERR: str = NLEQERR

    Object `NLEQERR` of type `str`

  NONE: str = NONE

    Object `NONE` of type `str`

  SECANT: str = SECANT

    Object `SECANT` of type `str`

  SHELL: str = SHELL

    Object `SHELL` of type `str`